diff --git a/doc/src/sgml/ref/pg_receivewal.sgml b/doc/src/sgml/ref/pg_receivewal.sgml
index 0506120c00..3670e9c6f9 100644
--- a/doc/src/sgml/ref/pg_receivewal.sgml
+++ b/doc/src/sgml/ref/pg_receivewal.sgml
@@ -52,7 +52,14 @@ PostgreSQL documentation
    Unlike the WAL receiver of a PostgreSQL standby server, <application>pg_receivewal</application>
    by default flushes WAL data only when a WAL file is closed.
    The option <option>--synchronous</option> must be specified to flush WAL data
-   in real time.
+   in real time. Note that while WAL will be flushed with this setting,
+   <application>pg_receivewal</application> never applies WAL, so
+   <xref linkend="guc-synchronous-commit"/> must not be set to
+   <literal>remote_apply</literal> if
+   <application>pg_receivewal</application> is a synchronous standby,
+   be it a member of a priority-based (<literal>FIRST</literal>) or a
+   quorum-based (<literal>ANY</literal>) synchronous replication setup
+   as set in <xref linkend="guc-synchronous-standby-names"/>.
   </para>
 
   <para>
